Subject: Re: NAPI on 8139too

From: Jeff Garzik <[email-masked]>
Date: Thu, 28 Aug 2003 17:01:03 -0400

Michele 'mydecay' Marchetto wrote:
> I was wondering why NAPI hasn't been ported on 8139too yet..

I think it would be a good idea.  You can stuff a lot of 68-byte packets 
into a 32K or 64K contiguous buffer.  Jes Sorensen wrote a patch a while 
ago that sampling the incoming rate, and backed off if the rate was too 
high -- basically a poor man's NAPI.

So, volunteers?  Just convert the RX path to NAPI, not all interrupt events.

	Jeff